with GNATCOM.Dispinterface;

package MSHTML.IHTMLDocument8_Object is

   type IHTMLDocument8_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_onmscontentzoom
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmscontentzoom
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerdown
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerdown
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointermove
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointermove
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerup
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerup
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerover
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerover
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerout
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerout
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointercancel
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointercancel
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerhover
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerhover
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturestart
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturestart
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturechange
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturechange
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgestureend
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgestureend
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturehold
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturehold
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturetap
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturetap
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturedoubletap
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturedoubletap
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsinertiastart
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsinertiastart
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   function elementsFromPoint
     (This : IHTMLDocument8_Type;
      x    : GNATCOM.Types.VARIANT;
      y    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function elementsFromRect
     (This   : IHTMLDocument8_Type;
      left   : GNATCOM.Types.VARIANT;
      top    : GNATCOM.Types.VARIANT;
      width  : GNATCOM.Types.VARIANT;
      height : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsmanipulationstatechanged
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsmanipulationstatechanged
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msCapsLockWarningOff
     (This : IHTMLDocument8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msCapsLockWarningOff
     (This : IHTMLDocument8_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDocument8_Object;

